diff --git a/deskutils/kdepim-runtime/pkg-plist b/deskutils/kdepim-runtime/pkg-plist
index b335613efa33..719da4b32899 100644
--- a/deskutils/kdepim-runtime/pkg-plist
+++ b/deskutils/kdepim-runtime/pkg-plist
@@ -1581,22 +1162,11 @@ share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/gid-migrator.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kio_akonadi.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_ews.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_ical.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_imap.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi-filestore.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1614,22 +1184,11 @@ share/locale/sr@latin/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/sr@latin/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/sr@latin/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/sr@latin/LC_MESSAGES/gid-migrator.mo
 share/locale/sr@latin/LC_MESSAGES/kio_akonadi.mo
 share/locale/sr@latin/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/sv/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/sv/LC_MESSAGES/accountwizard_ews.mo
-share/locale/sv/LC_MESSAGES/accountwizard_ical.mo
-share/locale/sv/LC_MESSAGES/accountwizard_imap.mo
-share/locale/sv/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/sv/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/sv/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/sv/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/sv/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/sv/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/sv/LC_MESSAGES/akonadi-filestore.mo
 share/locale/sv/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/sv/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1649,29 +1208,19 @@ share/locale/sv/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/sv/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/sv/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/sv/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/sv/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/sv/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/sv/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/sv/LC_MESSAGES/gid-migrator.mo
 share/locale/sv/LC_MESSAGES/kio_akonadi.mo
 share/locale/sv/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/th/LC_MESSAGES/accountwizard_imap.mo
-share/locale/th/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/th/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/th/LC_MESSAGES/accountwizard_pop3.mo
+share/locale/ta/LC_MESSAGES/akonadi_maildir_resource.mo
+share/locale/ta/LC_MESSAGES/akonadi_maildispatcher_agent.mo
+share/locale/ta/LC_MESSAGES/akonadi_mixedmaildir_resource.mo
+share/locale/ta/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
+share/locale/ta/LC_MESSAGES/libfolderarchivesettings.mo
 share/locale/th/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/th/LC_MESSAGES/akonadi_contacts_resource.mo
 share/locale/th/LC_MESSAGES/akonadi_ical_resource.mo
-share/locale/tr/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/tr/LC_MESSAGES/accountwizard_ews.mo
-share/locale/tr/LC_MESSAGES/accountwizard_ical.mo
-share/locale/tr/LC_MESSAGES/accountwizard_imap.mo
-share/locale/tr/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/tr/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/tr/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/tr/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/tr/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/tr/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/tr/LC_MESSAGES/akonadi-filestore.mo
 share/locale/tr/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/tr/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1691,17 +1240,11 @@ share/locale/tr/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/tr/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/tr/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/tr/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/tr/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/tr/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/tr/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/tr/LC_MESSAGES/gid-migrator.mo
 share/locale/tr/LC_MESSAGES/kio_akonadi.mo
 share/locale/tr/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/ug/LC_MESSAGES/accountwizard_ical.mo
-share/locale/ug/LC_MESSAGES/accountwizard_imap.mo
-share/locale/ug/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/ug/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/ug/LC_MESSAGES/accountwizard_pop3.mo
 share/locale/ug/LC_MESSAGES/akonadi-filestore.mo
 share/locale/ug/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/ug/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1721,16 +1264,6 @@ share/locale/ug/LC_MESSAGES/akonadi_singlefile_resource.mo
 share/locale/ug/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/ug/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/ug/LC_MESSAGES/kio_akonadi.mo
-share/locale/uk/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/uk/LC_MESSAGES/accountwizard_ews.mo
-share/locale/uk/LC_MESSAGES/accountwizard_ical.mo
-share/locale/uk/LC_MESSAGES/accountwizard_imap.mo
-share/locale/uk/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/uk/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/uk/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/uk/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/uk/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/uk/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/uk/LC_MESSAGES/akonadi-filestore.mo
 share/locale/uk/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/uk/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1750,22 +1283,11 @@ share/locale/uk/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/uk/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/uk/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/uk/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/uk/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/uk/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/uk/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/uk/LC_MESSAGES/gid-migrator.mo
 share/locale/uk/LC_MESSAGES/kio_akonadi.mo
 share/locale/uk/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_ews.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_ical.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_imap.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi-filestore.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1785,22 +1307,11 @@ share/locale/zh_CN/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/zh_CN/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/zh_CN/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/zh_CN/LC_MESSAGES/gid-migrator.mo
 share/locale/zh_CN/LC_MESSAGES/kio_akonadi.mo
 share/locale/zh_CN/LC_MESSAGES/libfolderarchivesettings.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_contacts.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_ews.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_ical.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_imap.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_kolab.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_mailbox.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_maildir.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_pop3.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_vcard.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_vcarddir.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi-filestore.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_birthdays_resource.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_contacts_resource.mo
@@ -1820,12 +1331,11 @@ share/locale/zh_TW/LC_MESSAGES/akonadi_newmailnotifier_agent.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_openxchange_resource.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_pop3_resource.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_singlefile_resource.mo
-share/locale/zh_TW/LC_MESSAGES/akonadi_tomboynotes_resource.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_vcard_resource.mo
 share/locale/zh_TW/LC_MESSAGES/akonadi_vcarddir_resource.mo
 share/locale/zh_TW/LC_MESSAGES/gid-migrator.mo
 share/locale/zh_TW/LC_MESSAGES/kio_akonadi.mo
 share/locale/zh_TW/LC_MESSAGES/libfolderarchivesettings.mo
 share/mime/packages/kdepim-mime.xml
-share/qlogging-categories5/kdepim-runtime.categories
-share/qlogging-categories5/kdepim-runtime.renamecategories
+share/qlogging-categories6/kdepim-runtime.categories
+share/qlogging-categories6/kdepim-runtime.renamecategories
diff --git a/deskutils/kdepim/Makefile b/deskutils/kdepim/Makefile
index 6033e1812f65..aaaef6afef40 100644
--- a/deskutils/kdepim/Makefile
+++ b/deskutils/kdepim/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdepim
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	deskutils kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE PIM applications metaport
 WWW=		https://www.kde.org/
 
-USES=		kde:5 metaport qt:5
-USE_KDE=	${_USE_KDEPIM5_ALL}
+USES=		kde:6 metaport qt:6
+USE_KDE=	${_USE_KDEPIM_ALL}
 
 .include <bsd.port.mk>
diff --git a/deskutils/keditbookmarks/Makefile b/deskutils/keditbookmarks/Makefile
index ed335608c2b0..1bf36fa2a90d 100644
--- a/deskutils/keditbookmarks/Makefile
+++ b/deskutils/keditbookmarks/Makefile
@@ -1,19 +1,17 @@
 PORTNAME=	keditbookmarks
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Bookmark Organizer and Editor
 WWW=		https://kde.org
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons i18n iconthemes jobwidgets kio parts service \
-		solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		coreaddons i18n iconthemes jobwidgets kio parts service solid \
+		sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/deskutils/keditbookmarks/distinfo b/deskutils/keditbookmarks/distinfo
index adc01ca0709d..7af5200752b6 100644
--- a/deskutils/keditbookmarks/distinfo
+++ b/deskutils/keditbookmarks/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889433
-SHA256 (KDE/release-service/23.08.5/keditbookmarks-23.08.5.tar.xz) = 6d6ae29e9b7fc550b17bd2e375abf2b5642b8e05af7755883ad56d9fa7a00ac1
-SIZE (KDE/release-service/23.08.5/keditbookmarks-23.08.5.tar.xz) = 239624
+TIMESTAMP = 1734460055
+SHA256 (KDE/release-service/24.12.0/keditbookmarks-24.12.0.tar.xz) = 2c583d76abe444fc388cb63ca9f72842cdfbd01a1173378e37f90308e95b25bd
+SIZE (KDE/release-service/24.12.0/keditbookmarks-24.12.0.tar.xz) = 260580
diff --git a/deskutils/keditbookmarks/pkg-plist b/deskutils/keditbookmarks/pkg-plist
index e7af46d352d7..41fc6af4cddd 100644
--- a/deskutils/keditbookmarks/pkg-plist
+++ b/deskutils/keditbookmarks/pkg-plist
@@ -1,11 +1,11 @@
 bin/kbookmarkmerger
 bin/keditbookmarks
-lib/libkbookmarkmodel_private.so
 lib/libkbookmarkmodel_private.so.5.97.0
 lib/libkbookmarkmodel_private.so.6
 share/applications/org.kde.keditbookmarks.desktop
 share/config.kcfg/keditbookmarks.kcfg
 share/locale/ar/LC_MESSAGES/keditbookmarks.mo
+share/locale/ast/LC_MESSAGES/keditbookmarks.mo
 share/locale/be/LC_MESSAGES/keditbookmarks.mo
 share/locale/be@latin/LC_MESSAGES/keditbookmarks.mo
 share/locale/bg/LC_MESSAGES/keditbookmarks.mo
@@ -103,10 +103,11 @@ share/man/pl/man1/kbookmarkmerger.1.gz
 share/man/pt/man1/kbookmarkmerger.1.gz
 share/man/pt_BR/man1/kbookmarkmerger.1.gz
 share/man/ru/man1/kbookmarkmerger.1.gz
+share/man/sl/man1/kbookmarkmerger.1.gz
 share/man/sr/man1/kbookmarkmerger.1.gz
 share/man/sr@latin/man1/kbookmarkmerger.1.gz
 share/man/sv/man1/kbookmarkmerger.1.gz
 share/man/tr/man1/kbookmarkmerger.1.gz
 share/man/uk/man1/kbookmarkmerger.1.gz
 share/man/zh_CN/man1/kbookmarkmerger.1.gz
-share/qlogging-categories5/keditbookmarks.categories
+share/qlogging-categories6/keditbookmarks.categories
diff --git a/deskutils/kfind/Makefile b/deskutils/kfind/Makefile
index f3a6eb81e2ff..144c04a47135 100644
--- a/deskutils/kfind/Makefile
+++ b/deskutils/kfind/Makefile
@@ -1,21 +1,19 @@
 PORTNAME=	kfind
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Find files and folders
 WWW=		https://www.kde.org/applications/utilities/kfind/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
-		coreaddons crash filemetadata guiaddons i18n iconthemes itemviews \
-		jobwidgets kdelibs4support kio notifications parts service \
-		solid sonnet textwidgets unitconversion widgetsaddons \
-		windowsystem xmlgui \
+		coreaddons crash filemetadata guiaddons i18n iconthemes \
+		itemviews jobwidgets kio notifications parts service solid \
+		sonnet textwidgets unitconversion widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/deskutils/kfind/distinfo b/deskutils/kfind/distinfo
index fb42e57ef5ae..082a5bff1c40 100644
--- a/deskutils/kfind/distinfo
+++ b/deskutils/kfind/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889439
-SHA256 (KDE/release-service/23.08.5/kfind-23.08.5.tar.xz) = ba14e9ec9f79ff8b7a8a434e9b3d2545a6297e3fe53bafe82b3dbc061d8c2ec8
-SIZE (KDE/release-service/23.08.5/kfind-23.08.5.tar.xz) = 344828
+TIMESTAMP = 1734460057
+SHA256 (KDE/release-service/24.12.0/kfind-24.12.0.tar.xz) = c1a9d4da666dff8bfb89f3d22b9d7c203eacad5d53208b69f40032c82e421a39
+SIZE (KDE/release-service/24.12.0/kfind-24.12.0.tar.xz) = 330376
diff --git a/deskutils/kfind/pkg-plist b/deskutils/kfind/pkg-plist
index 9a088c1698e8..bd561a25737f 100644
--- a/deskutils/kfind/pkg-plist
+++ b/deskutils/kfind/pkg-plist
@@ -9,6 +9,7 @@ share/icons/hicolor/64x64/apps/kfind.png
 share/icons/hicolor/scalable/apps/kfind.svgz
 share/locale/af/LC_MESSAGES/kfind.mo
 share/locale/ar/LC_MESSAGES/kfind.mo
+share/locale/ast/LC_MESSAGES/kfind.mo
 share/locale/az/LC_MESSAGES/kfind.mo
 share/locale/be/LC_MESSAGES/kfind.mo
 share/locale/be@latin/LC_MESSAGES/kfind.mo
@@ -112,10 +113,11 @@ share/man/pl/man1/kfind.1.gz
 share/man/pt/man1/kfind.1.gz
 share/man/pt_BR/man1/kfind.1.gz
 share/man/ru/man1/kfind.1.gz
+share/man/sl/man1/kfind.1.gz
 share/man/sr/man1/kfind.1.gz
 share/man/sr@latin/man1/kfind.1.gz
 share/man/sv/man1/kfind.1.gz
 share/man/tr/man1/kfind.1.gz
 share/man/uk/man1/kfind.1.gz
 share/metainfo/org.kde.kfind.appdata.xml
-share/qlogging-categories5/kfind.categories
+share/qlogging-categories6/kfind.categories
diff --git a/deskutils/kmail-account-wizard/Makefile b/deskutils/kmail-account-wizard/Makefile
index 3fbab5c5efe0..6279d005c53c 100644
--- a/deskutils/kmail-account-wizard/Makefile
+++ b/deskutils/kmail-account-wizard/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmail-account-wizard
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,21 +10,20 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext gl kde:5 \
-		qt:5 shared-mime-info tar:xz
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext gl kde:6 \
+		qt:6 shared-mime-info tar:xz
 USE_GL=		gl
 USE_KDE=	attica auth codecs config configwidgets coreaddons crash \
-		dbusaddons i18n itemmodels itemviews kcmutils kio kross \
-		newstuff notifications notifyconfig service texteditor wallet \
+		dbusaddons i18n itemmodels itemviews kcmutils kio newstuff \
+		notifications notifyconfig service texteditor wallet \
 		widgetsaddons xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadimime identitymanagement ldap libkdepim libkleo \
 		mailtransport mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network script widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/kmail-account-wizard/distinfo b/deskutils/kmail-account-wizard/distinfo
index 131b62e6a593..60efd8e85e61 100644
--- a/deskutils/kmail-account-wizard/distinfo
+++ b/deskutils/kmail-account-wizard/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889436
-SHA256 (KDE/release-service/23.08.5/kmail-account-wizard-23.08.5.tar.xz) = 2789e52cbb4d6a081875c390cf49ad75904071373c635b509b262c8d9eff5dba
-SIZE (KDE/release-service/23.08.5/kmail-account-wizard-23.08.5.tar.xz) = 185768
+TIMESTAMP = 1734460061
+SHA256 (KDE/release-service/24.12.0/kmail-account-wizard-24.12.0.tar.xz) = 78f17730d10b424d039e60f13b8f56701bcc46d7930fd57c4582fd1afb69857b
+SIZE (KDE/release-service/24.12.0/kmail-account-wizard-24.12.0.tar.xz) = 167652
diff --git a/deskutils/kmail-account-wizard/pkg-plist b/deskutils/kmail-account-wizard/pkg-plist
index 336d94df931a..cc31e8e62a98 100644
--- a/deskutils/kmail-account-wizard/pkg-plist
+++ b/deskutils/kmail-account-wizard/pkg-plist
@@ -1,117 +1,60 @@
 bin/accountwizard
-bin/ispdb
-%%QT_PLUGINDIR%%/accountwizard_plugin.so
-share/akonadi/accountwizard/tine20/tine20wizard.desktop
-share/akonadi/accountwizard/tine20/tine20wizard.es
-share/akonadi/accountwizard/tine20/tine20wizard.ui
 share/applications/org.kde.accountwizard.desktop
-share/knsrcfiles/accountwizard.knsrc
 share/locale/ar/LC_MESSAGES/accountwizard.mo
-share/locale/ar/LC_MESSAGES/accountwizard_tine20.mo
+share/locale/ast/LC_MESSAGES/accountwizard.mo
 share/locale/az/LC_MESSAGES/accountwizard.mo
-share/locale/az/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/bg/LC_MESSAGES/accountwizard.mo
-share/locale/bg/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/bs/LC_MESSAGES/accountwizard.mo
-share/locale/bs/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ca/LC_MESSAGES/accountwizard.mo
-share/locale/ca/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ca@valencia/LC_MESSAGES/accountwizard.mo
-share/locale/ca@valencia/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/cs/LC_MESSAGES/accountwizard.mo
-share/locale/cs/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/da/LC_MESSAGES/accountwizard.mo
-share/locale/da/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/de/LC_MESSAGES/accountwizard.mo
-share/locale/de/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/el/LC_MESSAGES/accountwizard.mo
-share/locale/el/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/en_GB/LC_MESSAGES/accountwizard.mo
-share/locale/en_GB/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/eo/LC_MESSAGES/accountwizard.mo
-share/locale/eo/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/es/LC_MESSAGES/accountwizard.mo
-share/locale/es/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/et/LC_MESSAGES/accountwizard.mo
-share/locale/et/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/eu/LC_MESSAGES/accountwizard.mo
-share/locale/eu/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/fi/LC_MESSAGES/accountwizard.mo
-share/locale/fi/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/fr/LC_MESSAGES/accountwizard.mo
-share/locale/fr/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ga/LC_MESSAGES/accountwizard.mo
-share/locale/ga/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/gl/LC_MESSAGES/accountwizard.mo
-share/locale/gl/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/he/LC_MESSAGES/accountwizard.mo
 share/locale/hu/LC_MESSAGES/accountwizard.mo
-share/locale/hu/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ia/LC_MESSAGES/accountwizard.mo
-share/locale/ia/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/it/LC_MESSAGES/accountwizard.mo
-share/locale/it/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ja/LC_MESSAGES/accountwizard.mo
-share/locale/ja/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ka/LC_MESSAGES/accountwizard.mo
-share/locale/ka/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/kk/LC_MESSAGES/accountwizard.mo
-share/locale/kk/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/km/LC_MESSAGES/accountwizard.mo
-share/locale/km/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ko/LC_MESSAGES/accountwizard.mo
-share/locale/ko/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/lt/LC_MESSAGES/accountwizard.mo
-share/locale/lt/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/lv/LC_MESSAGES/accountwizard.mo
 share/locale/mai/LC_MESSAGES/accountwizard.mo
 share/locale/mr/LC_MESSAGES/accountwizard.mo
-share/locale/mr/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/nb/LC_MESSAGES/accountwizard.mo
-share/locale/nb/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/nds/LC_MESSAGES/accountwizard.mo
-share/locale/nds/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/nl/LC_MESSAGES/accountwizard.mo
-share/locale/nl/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/nn/LC_MESSAGES/accountwizard.mo
-share/locale/nn/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/pa/LC_MESSAGES/accountwizard.mo
 share/locale/pl/LC_MESSAGES/accountwizard.mo
-share/locale/pl/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/pt/LC_MESSAGES/accountwizard.mo
-share/locale/pt/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/pt_BR/LC_MESSAGES/accountwizard.mo
-share/locale/pt_BR/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ro/LC_MESSAGES/accountwizard.mo
-share/locale/ro/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ru/LC_MESSAGES/accountwizard.mo
-share/locale/ru/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/se/LC_MESSAGES/accountwizard.mo
 share/locale/sk/LC_MESSAGES/accountwizard.mo
-share/locale/sk/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sl/LC_MESSAGES/accountwizard.mo
-share/locale/sl/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sr/LC_MESSAGES/accountwizard.mo
-share/locale/sr/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sr@ijekavian/LC_MESSAGES/accountwizard.mo
-share/locale/sr@ijekavian/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/accountwizard.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sr@latin/LC_MESSAGES/accountwizard.mo
-share/locale/sr@latin/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/sv/LC_MESSAGES/accountwizard.mo
-share/locale/sv/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/th/LC_MESSAGES/accountwizard.mo
 share/locale/tr/LC_MESSAGES/accountwizard.mo
-share/locale/tr/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/ug/LC_MESSAGES/accountwizard.mo
-share/locale/ug/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/uk/LC_MESSAGES/accountwizard.mo
-share/locale/uk/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/zh_CN/LC_MESSAGES/accountwizard.mo
-share/locale/zh_CN/LC_MESSAGES/accountwizard_tine20.mo
 share/locale/zh_TW/LC_MESSAGES/accountwizard.mo
-share/locale/zh_TW/LC_MESSAGES/accountwizard_tine20.mo
-share/mime/packages/accountwizard-mime.xml
-share/qlogging-categories5/accountwizard.categories
-share/qlogging-categories5/accountwizard.renamecategories
+share/metainfo/org.kde.accountwizard.appdata.xml
diff --git a/deskutils/kmail/Makefile b/deskutils/kmail/Makefile
index 56edbb5dd75c..1a5f3324393f 100644
--- a/deskutils/kmail/Makefile
+++ b/deskutils/kmail/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kmail
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,34 +12,32 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5 \
-		libqt5keychain.so:security/qtkeychain@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6 \
+		libqt6keychain.so:security/qtkeychain@qt6
 
 RUN_DEPENDS=	accountwizard:deskutils/kmail-account-wizard \
 		akonadiimportwizard:deskutils/akonadi-import-wizard \
 		mboximporter:deskutils/mbox-importer \
 		sieveeditor:deskutils/pim-sieve-editor
 
-USES=		cmake compiler:c++11-lib cpe desktop-file-utils gettext grantlee:5 \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib cpe desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 CPE_VENDOR=	kde
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes imap \
-		itemmodels itemviews jobwidgets kcmutils kdelibs4support kio \
-		notifications notifyconfig parts service solid sonnet \
-		syntaxhighlighting texteditor textwidgets unitconversion wallet \
-		widgetsaddons windowsystem xmlgui \
+		itemmodels itemviews jobwidgets kcmutils kio notifications \
+		notifyconfig parts service solid sonnet statusnotifieritem \
+		syntaxhighlighting texteditor textwidgets unitconversion \
+		wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadimime akonadisearch calendarcore \
-		calendarutils contacts gravatar grantleetheme \
-		identitymanagement libkdepim libkleo libksieve \
-		kontactinterface ldap mailcommon mailtransport messagelib \
-		mime pimcommon pimtextedit tnef \
-		kdepim-runtime5:run
-USE_QT=		concurrent core dbus declarative gui location network printsupport \
-		webchannel webengine widgets xml \
-		buildtools:build qmake:build
+		calendarutils contacts grantleetheme gravatar \
+		identitymanagement kontactinterface ldap libkdepim libkleo \
+		libksieve mailcommon mailtransport messagelib mime pimcommon \
+		pimtextedit tnef \
+		kdepim-runtime:run
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kmail/distinfo b/deskutils/kmail/distinfo
index bc09d3810bf7..0226c321d2e5 100644
--- a/deskutils/kmail/distinfo
+++ b/deskutils/kmail/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889431
-SHA256 (KDE/release-service/23.08.5/kmail-23.08.5.tar.xz) = 7138ac647b82208c2d93f142ca1bac2cd080c2bd9a81145d1dbd0471ba2ab755
-SIZE (KDE/release-service/23.08.5/kmail-23.08.5.tar.xz) = 7669124
+TIMESTAMP = 1734460059
+SHA256 (KDE/release-service/24.12.0/kmail-24.12.0.tar.xz) = 55ccb818d7f23b928bcfc0a9a236d04436546b3ab0b0e5a9ad7e6f75b48602fa
+SIZE (KDE/release-service/24.12.0/kmail-24.12.0.tar.xz) = 7771708
